Index: gperf/src/gperf/3.0.1/gperf-3.0.1-src/mkinstalldirs |
=================================================================== |
--- gperf/src/gperf/3.0.1/gperf-3.0.1-src/mkinstalldirs (revision 0) |
+++ gperf/src/gperf/3.0.1/gperf-3.0.1-src/mkinstalldirs (revision 0) |
@@ -0,0 +1,40 @@ |
+#! /bin/sh |
+# mkinstalldirs --- make directory hierarchy |
+# Author: Noah Friedman <friedman@prep.ai.mit.edu> |
+# Created: 1993-05-16 |
+# Public domain |
+ |
+# $Id: mkinstalldirs,v 1.13 1999/01/05 03:18:55 bje Exp $ |
+ |
+errstatus=0 |
+ |
+for file |
+do |
+ set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'` |
+ shift |
+ |
+ pathcomp= |
+ for d |
+ do |
+ pathcomp="$pathcomp$d" |
+ case "$pathcomp" in |
+ -* ) pathcomp=./$pathcomp ;; |
+ esac |
+ |
+ if test ! -d "$pathcomp"; then |
+ echo "mkdir $pathcomp" |
+ |
+ mkdir "$pathcomp" || lasterr=$? |
+ |
+ if test ! -d "$pathcomp"; then |
+ errstatus=$lasterr |
+ fi |
+ fi |
+ |
+ pathcomp="$pathcomp/" |
+ done |
+done |
+ |
+exit $errstatus |
+ |
+# mkinstalldirs ends here |